=== debian/changelog ===
plasma-widget-networkmanagement (0.1~svn1141976-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: pino
    - Last Changed Rev: 1141976
    - Last Changed Date: 2010-06-24 00:51:12 +0200

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Jun 2010 03:52:15 +0200

plasma-widget-networkmanagement (0.1~svn1133205-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1133205
    - Last Changed Date: 2010-06-01 10:39:08 +0200
  * debian/control
    - Drop Build-Depends on libknotificationitem-1-dev which was merged and
      renamed in kde4libs 4.4. (Closes: #584360)
  * debian/rules
    - Set -DINSTALL_KNM_AUTOSTART=ON to enable installation of knetworkmanager
      autostart file.
  * Re-add plasma-widget-networkmanagement package.
  * Move the networkmanagement kded module from knm-runtime to
    plasma-widget-networkmanagement. The kded service is not used by
    knetworkmanager and actually breaks knetworkmanager due to being
    auto-loaded and claiming the NetworkManagerUserSettings bus name.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Jun 2010 12:39:10 +0200

plasma-widget-networkmanagement (0.1~svn1125524-1) unstable; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: lvsouza
    - Last Changed Rev: 1125524
    - Last Changed Date: 2010-05-11 18:34:09 +0200
    - Fixes placement of the systray applet context menu. (Closes: #580530)
  * debian/patches/01-qt4.5-compat.patch
    - Drop the Qt 4.5 compat patch again now that we have a recent enough
      version in unstable and testing.
  * debian/control
    - Bump Build-Depends on libqt4-dev to (>= 4:4.6.0).
    - Bump Build-Depends on kdelibs5-dev and kdebase-workspace-dev to
      (>= 4:4.4.0)
  * debian/knm-runtime.install
    - Simplify install file by using wildcards where appropriate.
    - Install new strongswan VPN plugin.

 -- Michael Biebl <biebl@debian.org>  Thu, 13 May 2010 02:02:57 +0200

plasma-widget-networkmanagement (0.1~svn1088283-1) unstable; urgency=medium

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1088283
    - Last Changed Date: 2010-02-10 14:11:26 +0100

  [ Michael Biebl ]
  * debian/patches/01-qt4.5-compat.patch
    - Remove Qt 4.6 specific features so it compiles with Qt 4.5.
  * debian/control
    - Lower Build-Depends on libqt4-dev to (>= 4:4.5.0).
    - Bump Standards-Version to 3.8.4. No further changes.
  * Drop the plasma-widget-networkmanagement binary package for now as it not
    yet stable enough. Add Conflicts to network-manager-kde so it is removed
    on upgrades.

  [ Modestas Vainius ]
  * Enable parallel building - pass --parallel to dh.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Feb 2010 14:46:25 +0100

plasma-widget-networkmanagement (0.1~svn1075616-1) experimental; urgency=low

  [ Modestas Vainius ]
  * Remove DMUA field from debian/control. I'm a DD now.

  [ Michael Biebl ]
  * Add myself to Uploaders with Modestas' consent.
  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1075616
    - Last Changed Date: 2010-01-16 12:54:07 +0100

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Jan 2010 11:06:58 +0100

plasma-widget-networkmanagement (0.1~svn1054632-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: scripty
    - Last Changed Rev: 1054632
    - Last Changed Date: 2009-11-26 13:23:17 +0200
  * Bump network-manager-kde version to 0.9~.
  * Switch to dpkg-source format 3.0 (quilt).
  * Update svn URL in debian/copyright.
  * Update install files.
  * Make plasma-widget-networkmanagement no longer pull in network-manager-kde.
    However, the widget itself is not very usable at the moment.
  * Bump libqt4-dev build dependency to 4.6.0~.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 26 Nov 2009 23:39:48 +0200

plasma-widget-networkmanagement (0.1~svn1029786-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: wstephens
    - Last Changed Rev: 1029786
    - Last Changed Date: 2009-09-30 21:29:12 +0300
  * Use debhelper kde addon, bump build dependencies accordingly.
  * Update install files.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 01 Oct 2009 20:37:01 +0300

plasma-widget-networkmanagement (0.1~svn1013816-1) experimental; urgency=low

  * New upstream development snapshot:
   - Last Changed Author: dfaure
   - Last Changed Rev: 1013816
   - Last Changed Date: 2009-08-20 22:54:58 +0300
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Update knm-runtime.install.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 21 Aug 2009 23:44:23 +0300

plasma-widget-networkmanagement (0.1~svn1007929-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: wstephens
    - Last Changed Rev: 1007929
    - Last Changed Date: 2009-08-06 17:32:52 +0300
  * Build depend on libknotificationitem-1-dev.
  * Do not run tests.
  * Update installed files.
  * Build depend on KDE 4.3 (final).
  * Add network-manager-kde and knm-runtime packages:
    - network-manager-kde package is based on the one from the previous
      knetworkmanager debian source package.
      - take over of this binary package was granted by knetworkmanager
        maintainer (Michael Biebl); 
      - moved to the section net;
      - recommends / custom depends moved to the knm-runtime package;
      - bump version of this binary package to 1:0.8~... to enable
        upgrades from the previous package.
    - knm-runtime contains knetworkmanager and plasmoid runtime files:
      - section net;
      - recommend kwalletmanager and network-manager plugins;
      - recommend either network-manager-kde or plasma widget;
      - replaces previous plasma-widget-networkmanagement.
      - force shlibs to = binary:Version.

