=== debian/control ===
Source: plasma-widget-networkmanagement
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4:4.6.0), kdelibs5-dev (>= 4:4.4.0), kdebase-workspace-dev (>= 4:4.4.0),
 network-manager-dev (>= 0.7.0), libnm-util-dev (>= 0.7.0)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/plasma-widget-networkmanagement.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/plasma-widget-networkmanagement.git

Package: network-manager-kde
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: plasma-widget-networkmanagement
Provides: knetworkmanager
Description: KDE system tray applet for controlling NetworkManager
 System tray applet for controlling network connections managed by
 NetworkManager. It is mainly written for KDE but also works for other desktop
 environments like GNOME or Xfce.

Package: plasma-widget-networkmanagement
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Conflicts: plasma-applet-networkmanager
Replaces: plasma-applet-networkmanager
Description: Network Management widget for KDE4 Plasma
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks.  Currently, the only
 supported backend is NetworkManager.  Support for wired, wireless, GSM
 and VPN networks are provided.  The widget is exclusively written for Plasma
 and KDE4 and it is not supposed to work in other environments.
 .
 This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
 available in the kdebase-workspace-bin package. The user friendly name of the
 widget is "Network Management" (in e.g. "Add Widgets" dialog).

Package: knm-runtime
Architecture: any
Section: net
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.7.0)
Replaces: plasma-widget-networkmanagement (<< 0.1~svn1005432)
Recommends: kwalletmanager, network-manager-vpnc, network-manager-openvpn, network-manager-pptp
Description: KDE NetworkManagement infrastructure runtime files
 This package contains runtime libraries and binaries needed by both
 network-manager-kde (knetworkmanager) and plasma-widget-networkmanagement
 packages. Currently, it provides interface to NetworkManager and the KDE4
 Control Module (kcm) for managing/storing network settings (to be used by
 either of the two support applications later).
 .
 It is possible to use this package without its frontends (either
 network-manager-kde or plasma-widget-networkmanagement). It enables
 notifications under KDE but actual network management functions will be very
 limited.

Package: plasma-widget-networkmanagement-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, network-manager-kde (= ${knetworkmanager:Version})
Recommends: kdelibs5-dbg
Suggests: kdebase-workspace-dbg
Description: debugging symbols for KDE Network Management
 This package provides debugging symbols for all binary packages built from the
 plasma-widget-networkmanagement source package. It's highly recommended to
 have this package installed before reporting any crashes.
