=== settings/CMakeLists.txt ===
add_subdirectory(config)
add_subdirectory(configshell)
#add_subdirectory(service)
