=== vpnplugins/CMakeLists.txt ===
add_subdirectory(openvpn)
add_subdirectory(pptp)
add_subdirectory(vpnc)
