=== settings/config/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 
 set(kcm_networkmanagement_SRCS
    # UI logic
-   addeditdeletebuttonset.cpp
    manageconnectionwidget.cpp
 )
 #kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)
@@ -23,7 +22,6 @@
 ## next target: tray config KCM
 
 set(kcm_networkmanagement_tray_SRCS
-   addeditdeletebuttonset.cpp
    managetraywidget.cpp
    menutooltipsettingswidget.cpp
    traysettingswidget.cpp
